<?php
class Mtkb_Shortcode_Manager {

	public $shortcodes;	

	public function delete_shortcode( $shortcode_name ) {
		unset( $this->$shortcodes[$shortcode_name] );
	}

	//scripts for the shortcode manager
    function mtkb_shortcode_builder_enqueue_admin_scripts( $hook ) {
	    /* CSS and JS files for shortcode modal */

	    wp_enqueue_style( "av-modal-component-css", plugin_dir_url( __FILE__ ).'/css/component.css' );
	    wp_enqueue_style( "av-fontawesome-css", plugin_dir_url( __FILE__ ).'/css/font-awesome.min.css' );
	    wp_enqueue_style( "travelogue-custom-css", plugin_dir_url( __FILE__ ).'/css/custom.css' );
	    wp_enqueue_script( "av-classie-js", plugin_dir_url( __FILE__ ).'/js/classie.js' );
	    wp_enqueue_script( "av-modalEffects-js", plugin_dir_url( __FILE__ ).'/js/modalEffects.js' );
	    wp_enqueue_script( "travelogue-custom-js", plugin_dir_url( __FILE__ ).'/js/custom.js', '', '', true );
		wp_enqueue_style( 'fontello', plugin_dir_url( __FILE__ ) . 'css/fontello.css', array(), '1.1.1', 'all' );

	    /* Color picker */

	    if ( 'post.php' == $hook || 'post-new.php' == $hook ) {
	        wp_enqueue_style( "av-colorpicker-css", plugin_dir_url( __FILE__ ).'/css/colorpicker.css' );
	        wp_enqueue_script( "av-colorpicker-js", plugin_dir_url( __FILE__ ).'/js/colorpicker.js' , array( 'jquery' ) );
	    }
	}
	
	function mtkb_shortcode_builderadd_buttons( $plugin_array ) {
	    $plugin_array['avstudio'] = plugin_dir_url( __FILE__ ). 'js/av-plugin.js';
	    return $plugin_array;
	}
	function mtkb_shortcode_builderregister_buttons( $buttons ) {
	    array_push( $buttons, 'av-shortcodes' ); // dropcap', 'recentposts
	    return $buttons;
	}
	function mtkb_shortcode_builderbuttons() {
		add_filter( "mce_external_plugins", array($this, "mtkb_shortcode_builderadd_buttons") );
	    // add new buttons
	    add_filter( 'mce_buttons', array($this, "mtkb_shortcode_builderregister_buttons") );
	}

	function mtkb_shortcode_builder_add_shortcodes($sc_builder) {
		/* Add mt_knowledgebase_grid_container shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_grid_container'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase Grid Container', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
			),
		);

		// categories array
		$mtkb_categories = get_terms('mtkb-knowledgebase-category');
	    $knowledgebase_categories = array();
	    if ($mtkb_categories) {
	      	foreach ( $mtkb_categories as $term ) {
	        	$knowledgebase_categories[$term->term_id] = $term->name;
	      	}
	    }

		/* Add mt_knowledgebase_list shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_list'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase List', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'category_id' 	=> array(
					'label'         => esc_html__( 'Category', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> $knowledgebase_categories,
				),
				'number' 	=> array(
						'label'		=> esc_html__( 'Posts Number', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'columns' 	=> array(
					'label'         => esc_html__( 'Columns', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'col-md-4' 	=> esc_html__( '3 columns', 'mtkb' ),
						'col-md-6' 	=> esc_html__( '2 columns', 'mtkb' ),
					),
				),
				'version' 	=> array(
					'label'         => esc_html__( 'Style', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'1' 	=> esc_html__( 'Style 1', 'mtkb' ),
						'2' 	=> esc_html__( 'Style 2', 'mtkb' ),
					),
				),

			),
		);

		/* Add mt_knowledgebase_category_grid shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_category_grid'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase Categories Grid', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'number' 	=> array(
						'label'		=> esc_html__( 'Posts number in each category', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'columns' 	=> array(
					'label'         => esc_html__( 'Columns', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'col-md-4' 	=> esc_html__( '3 columns', 'mtkb' ),
						'col-md-6' 	=> esc_html__( '2 columns', 'mtkb' ),
					),
				),
				'style' 	=> array(
					'label'         => esc_html__( 'Style', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'1' 	=> esc_html__( 'Style 1', 'mtkb' ),
						'2' 	=> esc_html__( 'Style 2', 'mtkb' ),
					),
				),
				'hide_empty' 	=> array(
						'label'		=> esc_html__( 'Hide empty categories', 'mtkb' ),
						'type'		=> 'checkbox',
						'default' 	=> 'true',
				),

			),
		);

		/* Add mt_knowledgebase_most shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_most'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase Most Liked/Viewed/Recent', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'number' 	=> array(
						'label'		=> esc_html__( 'Posts Number', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'columns' 	=> array(
					'label'         => esc_html__( 'Columns', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'col-md-4' 	=> esc_html__( '3 columns', 'mtkb' ),
						'col-md-6' 	=> esc_html__( '2 columns', 'mtkb' ),
					),
				),
				'type' 	=> array(
					'label'         => esc_html__( 'Type', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select Option', 'mtkb' ),
						'most_liked' 	=> esc_html__( 'Most Liked', 'mtkb' ),
						'most_viewed' 	=> esc_html__( 'Most Viewed', 'mtkb' ),
						'most_recent' 	=> esc_html__( 'Most Recent', 'mtkb' ),
					),
				),
				'button_text' 	=> array(
						'label'		=> esc_html__( 'Button Text', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'button_url' 	=> array(
						'label'		=> esc_html__( 'Button URL', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '#',
				),
				

			),
		);

		/* Add mt_knowledgebase_search shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_search'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase Serach Bar', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'placeholder' 	=> array(
						'label'		=> esc_html__( 'Searchbar placeholder', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> esc_html__( 'Search Knowledgebase...', 'mtkb' ),
				),
			),
			
		);

		
		/* Add mt_knowledgebase_list_a_z shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_list_a_z'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase List A to Z', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
			),
			
		);

		/* Add mt_knowledgebase_list shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_category_accordion'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase Single Category Accordion', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'category_id' 	=> array(
					'label'         => esc_html__( 'Category', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> $knowledgebase_categories,
				),
				'number' 	=> array(
						'label'		=> esc_html__( 'Posts Number', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
			),
		);

		/* Add mt_knowledgebase_categories_accordion shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_knowledgebase_categories_accordion'] = array(
			'label' 		=> esc_html__( 'MT Knowledgebase Categories Accordion', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'heading_title' 	=> array(
						'label'		=> esc_html__( 'Heading Title', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'number' 			=> array(
						'label'		=> esc_html__( 'Posts Number', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'is_active' 		=> array(
					'label'         => esc_html__( 'Cateory open', 'mtkb' ),
					'type'	        => 'select',
					'options'		=> $knowledgebase_categories,
				),
			),
		);

		/* Add mt_changelog_container shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_changelog_container'] = array(
			'label' 		=> esc_html__( 'MT Changelog Container', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
					'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
				'title' 			=> array(
					'label'		=> esc_html__( 'Heading Title', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
			),
		);

		/* Add mt_changelog_item shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_changelog_item'] = array(
			'label' 		=> esc_html__( 'MT Changelog Item', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
					'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
				'type' 	=> array(
					'label'         => esc_html__( 'Type', 'mtkb' ),
					'type'	        => 'select',
					'options'		=> array(
						'' 			=> esc_html__( 'Select Option', 'mtkb' ),
						'new' 		=> esc_html__( 'New', 'mtkb' ),
						'update' 	=> esc_html__( 'Update', 'mtkb' ),
						'improvement' 	=> esc_html__( 'Improvement', 'mtkb' ),
						'fix' 		=> esc_html__( 'Fix', 'mtkb' ),
					),
				),
			),
		);

		/* Add mt_single_changelog shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_single_changelog'] = array(
			'label' 		=> esc_html__( 'MT Single Changelog', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
					'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
				'changelog_id' 			=> array(
					'label'		=> esc_html__( 'Changelog ID', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
			),
		);
		
		/* Add mt_faqs_container shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_faqs_container'] = array(
			'label' 		=> esc_html__( 'MT FAQs Container', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
					'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
			),
		);

		/* Add mt_faqs_item shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_faqs_item'] = array(
			'label' 		=> esc_html__( 'MT FAQs item', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
					'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
				'title' 			=> array(
					'label'		=> esc_html__( 'Title', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
				'content' 	=> array(
					'label' => esc_html__( 'Content', 'mtkb' ),
					'type'	=> 'textarea',
				),
			)
		);

		/* Add mt_portfolio_filters shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_portfolio_filters'] = array(
			'label' 		=> esc_html__( 'MT Portfolio Filters', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
					'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
				'number' 	=> array(
						'label'		=> esc_html__( 'Posts Number', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'columns' 	=> array(
					'label'         => esc_html__( 'Columns', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'col-md-4' 	=> esc_html__( '3 columns', 'mtkb' ),
						'col-md-6' 	=> esc_html__( '2 columns', 'mtkb' ),
					),
				),
				'tagsfilter' 	=> array(
						'label'		=> esc_html__( 'Show Tags Filter', 'mtkb' ),
						'type'		=> 'checkbox',
						'default' 	=> 'tags_on',
				),
				'categoryfilter' 	=> array(
						'label'		=> esc_html__( 'Show Category Filter', 'mtkb' ),
						'type'		=> 'checkbox',
						'default' 	=> 'category_on',
				),
				'searchfilter' 	=> array(
						'label'		=> esc_html__( 'Show Search Filter', 'mtkb' ),
						'type'		=> 'checkbox',
						'default' 	=> 'search_on',
				),
			),
		);

		// categories array
		$mtkb_portfolio_categories = get_terms('mtkb-portfolio-category');
	    $portfolio_categories = array();
	    if ($mtkb_portfolio_categories) {
	      	foreach ( $mtkb_portfolio_categories as $term ) {
	        	$portfolio_categories[$term->term_id] = $term->name;
	      	}
	    }

		/* Add mt_portfolio_category shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_portfolio_category'] = array(
			'label' 		=> esc_html__( 'MT Portfolio Posts by Category', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
						'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'category_id' 	=> array(
					'label'         => esc_html__( 'Category', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> $portfolio_categories,
				),
				'number' 	=> array(
						'label'		=> esc_html__( 'Posts Number', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'columns' 	=> array(
					'label'         => esc_html__( 'Columns', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'col-md-4' 	=> esc_html__( '3 columns', 'mtkb' ),
						'col-md-6' 	=> esc_html__( '2 columns', 'mtkb' ),
					),
				),
			),
		);

		/* Add mt_portfolio_most shortcode to shortcode manager */
		$sc_builder->shortcodes['mt_portfolio_most'] = array(
			'label' 		=> esc_html__( 'MT Portfolio Most Viewed/Recet', 'mtkb' ),
			'fields' 		=> array(
				'additional_class' 	=> array(
					'label'		=> esc_html__( 'Additional Class', 'mtkb' ),
					'type'		=> 'text',
					'default' 	=> '',
				),
				'number' 	=> array(
						'label'		=> esc_html__( 'Posts Number', 'mtkb' ),
						'type'		=> 'text',
						'default' 	=> '',
				),
				'columns' 	=> array(
					'label'         => esc_html__( 'Columns', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'col-md-4' 	=> esc_html__( '3 columns', 'mtkb' ),
						'col-md-6' 	=> esc_html__( '2 columns', 'mtkb' ),
					),
				),
				'type' 	=> array(
					'label'         => esc_html__( 'Type', 'mtkb' ),
					'type'	        => 'select',
					'options'	=> array(
						'' 	=> esc_html__( 'Select option', 'mtkb' ),
						'most_viewed' 	=> esc_html__( 'Most Viewed', 'mtkb' ),
						'most_recent' 	=> esc_html__( 'Most Recent', 'mtkb' ),
					),
				),
			),
		);
	}

	function mtkb_shortcode_buildermodal_shortcode_html() {
		$sc_builder = new Mtkb_Shortcode_Manager();
		$this->mtkb_shortcode_builder_add_shortcodes($sc_builder);

	    $current_scheme = get_user_option('admin_color');
	    ?>

	    <div class="md-modal md-effect-3" id="shortcodes-modal">
	        <div class="md-content">
	            <h3><i class="fa fa-cogs"></i><?php echo esc_html__('Shortcodes Manager', 'mtkb'); ?></h3>
	            <div>
	                <div class="shortcode-menu">
	                    <ul id="av-shortcode-menu">
	                        <?php

	                        if ( $sc_builder->shortcodes ) {
	                            foreach ($sc_builder->shortcodes as $shortcode_tag => $shortcode) {
	                                echo '<li><a href="#'.esc_attr($shortcode_tag).'">'.wp_kses_post($shortcode['label']).'</a></li>';
	                            }
	                        }

	                        ?>
	                    </ul>
	                </div>
	                <div class="shortcode-content">
	                    <?php

	                    if ( $sc_builder->shortcodes ) {
	                            foreach ($sc_builder->shortcodes as $shortcode_tag => $shortcode) {
	                                echo '<div id="'.esc_attr($shortcode_tag).'" class="shortcode-container hide">';
	                                echo "<h2>{$shortcode['label']}</h2>";
	                                echo "<div class='shortcode-field'>";
	                                if ( isset($shortcode['fields']) ) {
	                                    foreach ($shortcode['fields'] as $name => $field_info) {     
	                                    	echo "<div class=\"row\">";                               
	                                        echo "<div class='label-container'><label for='{$name}'>{$field_info['label']}</label></div>";
	                                        echo "<div class='input-container'>";
	                                        switch ( $field_info['type'] ) {
	                                            case 'text':
	                                                $default = isset($field_info['default']) ? $field_info['default'] : '';
	                                                echo '<input type="text" name="'.esc_attr($name).'" date-default="'.esc_attr($default).'" class="shortcode-input" value="'.esc_attr($default).'">';
	                                                break;
	                                            case 'color':
	                                                $default = isset($field_info['default']) ? $field_info['default'] : '#fff';
	                                                echo '<div class="colorSelector" data-color="'. esc_attr( $default ) .'"><div style="background-color: '. esc_attr( $default ) .'"></div></div>';
	                                                echo '<input class="shortcode-input" date-default="'.esc_attr($default).'" type="text" name="background-color" value="' . esc_attr( $default ) . '" size="10" style="display:block;float:left;margin-left:20px;margin-top:5px;"/>';
	                                                break;
	                                            case 'textarea':
	                                                $default = isset($field_info['default']) ? $field_info['default'] : '';
	                                                echo '<textarea name="'.esc_attr($name).'" class="shortcode-input" date-default="'.esc_attr($default).'">'.esc_attr($default).'</textarea>';
	                                                break;
	                                            case 'select':
	                                                echo "<select name='{$name}' date-default='".esc_attr($default)."' class='shortcode-input'>";
	                                                foreach ($field_info['options'] as $value => $text) {
	                                                    if ( isset($field_info['default']) && $text == $field_info['default'] ) {
	                                                        echo "<option value='{$value}' selected=''>{$text}</option>";
	                                                    }else{
	                                                        echo "<option value='{$value}'>{$text}</option>";
	                                                    }
	                                                }
	                                                echo "</select>";
	                                                break;
	                                            case 'checkbox':
	                                            	$label = isset($field_info['label']) ? $field_info['label'] : '';
	                                            	echo '<label><input type="checkbox" name="'.esc_attr($name).'" class="shortcode-input" value="'.esc_attr($field_info['default']).'">'.esc_attr($label).'</label>';
	                                            	break;                                          
	                                            default:
	                                                # code...
	                                                break;
	                                        }
	                                        echo "</div>";
	                                        echo "</div>";
	                                        echo "<div class='clearfix'></div>";                                        
	                                    }
	                                }
	                                if ( isset($shortcode['content']) ) {
	                                    echo "<div class='label-container'><label for='shortcode-content'>". esc_html__('Content', 'mtkb') ."</label></div>";
	                                    echo "<div class='input-container'>";
	                                    echo '<textarea name="shortcode-content" class="shortcode-input"></textarea>';
	                                    echo "</div>";
	                                }
	                                echo "<div class='clearfix'></div>";
	                                echo "</div>";
	                                echo "<div class='insert-button'><button class='insert-shortcode'>". esc_html__('Insert Shortcode', 'mtkb') ."</button></div>";

	                            echo '</div>';
	                            }
	                        }

	                    ?>
	                </div>
	                <div class="clearfix"></div>
	            </div>
	        </div>
	    </div>
	    <div class="md-overlay"></div>

	<?php }
}

// add_action( 'in_admin_header', 'mtkb_shortcode_buildermodal_shortcode_html', 20 );
