<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://modeltheme.com/
 * @since             1.0.0
 * @package           Mtkb
 *
 * @wordpress-plugin
 * Plugin Name:       MT Knowledgebase
 * Plugin URI:        https://modeltheme.com/
 * Description:       Knowledgebase, Wiki and Changelog plugin, by ModelTheme.
 * Version:           1.3
 * Author:            ModelTheme
 * Author URI:        https://modeltheme.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       mtkb
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'MTKB_VERSION', '1.2.2' );

/**
 * Store plugin base dir, for easier access later from other classes.
 * (eg. Include, pubic or admin)
 */
define( 'MTKB_BASE_DIR', plugin_dir_path( __FILE__ ) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-mt-knowledgebase-activator.php
 */
function mtkb_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-mt-knowledgebase-activator.php';
	Mtkb_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-mt-knowledgebase-deactivator.php
 */
function mtkb_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-mt-knowledgebase-deactivator.php';
	Mtkb_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'mtkb_activate' );
register_deactivation_hook( __FILE__, 'mtkb_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-mt-knowledgebase.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */

global $MTKB;
$MTKB = new Mtkb();
$MTKB->run();
