<?php


class Mtkb_elementor {

	protected static $instance = null;

	public static function get_instance() {
		if ( ! isset( static::$instance ) ) {
			static::$instance = new static;
		}

		return static::$instance;
	}

	protected function __construct() {
		//knowledgebase shortcodes
		require_once('elementor-widgets/knowledgebase-archive.php');
		require_once('elementor-widgets/knowledgebase-categories-accordion.php');
		require_once('elementor-widgets/knowledgebase-list.php');
		require_once('elementor-widgets/knowledgebase-list-alphabetical.php');
		require_once('elementor-widgets/knowledgebase-most.php');
		require_once('elementor-widgets/knowledgebase-single-category-accordion.php');
		require_once('elementor-widgets/knowledgebase-searchbar.php');

		//changelogs shortcodes
		require_once('elementor-widgets/changelog-list.php');
		require_once('elementor-widgets/changelog-single-item.php');

		//faqs shortcodes
		require_once('elementor-widgets/faqs-acordion.php');

		//portfolio shortcodes
		require_once('elementor-widgets/portfolio-filters.php');
		require_once('elementor-widgets/portfolio-category.php');
		require_once('elementor-widgets/portfolio-most.php');
		add_action( 'elementor/widgets/widgets_registered', [ $this, 'register_widgets' ] );
	}

	public function register_widgets() {

		//knowledgebase shortcodes
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Knowledgebase_Categories_Grid_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Knowledgebase_Categories_Accordion_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Knowledgebase_Category_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Knowledgebase_Alphabeticaly_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Knowledgebase_Grid_Most_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Knowledgebase_Single_Category_Accordion_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Search_Bar_Widget() );
		
		//faqs shortcodes
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Faqs_Accordion_Widget() );

		//changelogs shortcodes
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Changelog_Single_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Changelog_List_Widget() );

		//portfolios shortcodes
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Portfolio_Filters_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Portfolio_Category_Widget() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Mtkb_Portfolio_Most_Widget() );
	}

}

add_action( 'init', 'mtkb_elementor_init' );
function mtkb_elementor_init() {
	Mtkb_elementor::get_instance();
}

function mtkb_add_elementor_widget_categories( $elements_manager ) {

	$elements_manager->add_category(
		'mtkb-widgets',
		[
			'title' =>  esc_html__( 'MT Knowledgebase', 'mtkb' ),
			'icon' => 'fa fa-plug',
		]
	);

}
add_action( 'elementor/elements/categories_registered', 'mtkb_add_elementor_widget_categories' );