<?php 

/**
||-> Shortcode: Changelog Single Item
*/

namespace Elementor;

class Mtkb_Changelog_Single_Widget extends Widget_Base {
    public function get_name() {
        return 'changelog_single_item';
    }

    public function get_title() {
        return esc_html__('MTKB - Changelog Single Item', 'mtkb');
    }

    public function get_icon() {
        return 'fab fa-elementor';
    }

    public function get_categories() {
        return [ 'mtkb-widgets' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_title',
            [
                'label' => esc_html__( 'Content', 'mtkb' ),
            ]
        );

        $this->add_control(
            'additional_class',
            [
                'label' => esc_html__( 'Additional Class', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'mtkb' ),
            ]
        );

        //Single Changelog
        $changelog_args = array(
            'post_type'     => 'mtkb-changelog',
            'post_status'   => 'publish',
        );
        $changelogs_array = array();
        $changelog_query = new \Wp_Query($changelog_args);
        if( $changelog_query->have_posts() ){
            while ( $changelog_query->have_posts() ) {
                $changelog_query->the_post();
                $changelogs_array[get_the_ID()] = get_the_title();
            }
        }
        wp_reset_postdata();

        $this->add_control(
            'changelog_id',
            [
                'label' => esc_html__( 'Changelog ID', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => 'Select Changelog',
                'options' => $changelogs_array,
                'description' => esc_html__( 'The ID of the Changelog You want to display.', 'mtkb' ),
            ]
        );

        $this->add_control(
            'changelog_version',
            [
                'label' => esc_html__( 'Changelog Version', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'Type in the Version of the Changelog that you want to display.', 'mtkb' ),
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        global $esio_redux;
        $settings           = $this->get_settings_for_display();
        $additional_class   = $settings['additional_class'];
        $changelog_id       = $settings['changelog_id'];
        $changelog_version  = $settings['changelog_version'];

        echo do_shortcode('[mt_single_changelog changelog_id="'.esc_html($changelog_id).'" changelog_version="'.esc_html($changelog_version).'" additional_class="'.esc_html($additional_class).'"]');
    }
    protected function _content_template() {

    }
}