<?php 

/**
||-> Shortcode: Mt Knowlegebase categories accordion
*/

namespace Elementor;

class Mtkb_Knowledgebase_Categories_Accordion_Widget extends Widget_Base {
    public function get_name() {
        return 'knowledge_categories_accordion';
    }

    public function get_title() {
        return esc_html__('MTKB - Categories Accordion', 'mtkb');
    }

    public function get_icon() {
        return 'fab fa-elementor';
    }

    public function get_categories() {
        return [ 'mtkb-widgets' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_title',
            [
                'label' => esc_html__( 'Content', 'mtkb' ),
            ]
        );

        $this->add_control(
            'heading_title',
            [
                'label' => esc_html__( 'Heading Title', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'Type here the title', 'mtkb' ),
            ]
        );

        $this->add_control(
            'additional_class',
            [
                'label' => esc_html__( 'Additional Class', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'mtkb' ),
            ]
        );

        $knowledgebase_category_tax = get_terms('mtkb-knowledgebase-category');
        $knowledgebase_category = array();
        if ($knowledgebase_category_tax) {
            foreach ( $knowledgebase_category_tax as $term ) {
                $knowledgebase_category[$term->term_id] = $term->name;
            }
        }

        $this->add_control(
            'is_active',
            [
                'label' => esc_html__( 'Select the active category', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => '',
                'description' => esc_html__( 'The active category will be open by default', 'mtkb' ),
                'options' => $knowledgebase_category,
            ]
        );
        $this->add_control(
            'number',
            [
                'label' => esc_html__( 'Knowledgebase Posts Number', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::NUMBER,
                'default' => '5',
                'description' => esc_html__( 'Type here the number of Knowledgebase articles to be displayed in each category.', 'mtkb' ),
            ]
        );

    }

    protected function render() {
        $settings                   = $this->get_settings_for_display();
        $additional_class           = $settings['additional_class'];
        $heading_title              = $settings['heading_title'];
        $is_active                  = $settings['is_active'];
        $number                     = $settings['number'];

        echo $html;

        echo do_shortcode('[mt_knowledgebase_categories_accordion additional_class="'.esc_html($additional_class).'" heading_title="'.esc_html($heading_title).'" is_active="'.esc_html($is_active).'" number="'.esc_html($number).'"]');
    }
    protected function _content_template() {

    }
}