<?php 

/**
||-> Shortcode: Mt Knowlegebase categories accordion
*/

namespace Elementor;

class Mtkb_Knowledgebase_Alphabeticaly_Widget extends Widget_Base {
    public function get_name() {
        return 'knowledgebase_alphabeticaly_order';
    }

    public function get_title() {
        return esc_html__('MTKB - Listing From A to Z', 'mtkb');
    }

    public function get_icon() {
        return 'fab fa-elementor';
    }

    public function get_categories() {
        return [ 'mtkb-widgets' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_title',
            [
                'label' => esc_html__( 'Content', 'mtkb' ),
            ]
        );

        $this->add_control(
            'additional_class',
            [
                'label' => esc_html__( 'Additional Class', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'mtkb' ),
            ]
        );

    }

    protected function render() {
        $settings                   = $this->get_settings_for_display();
        $additional_class           = $settings['additional_class'];

        $args_knowledgebase = array(
            'posts_per_page'    => -1,
            'orderby'          => 'title',
            'order'            => 'ASC',
            'post_type'        => 'mtkb-knowledgebase',
            'post_status'      => 'publish' 
        );
      
        $query_knowledgebase = new \WP_Query( $args_knowledgebase );
        if ($query_knowledgebase->have_posts()) {
            $sorted_list = array();
            while ($query_knowledgebase->have_posts()) {
                $query_knowledgebase->the_post();
                $name = get_the_title();
                $char = $name[0];
                $id = get_the_ID();
                $existing_ids = array();
                if ( array_key_exists ( $char , $sorted_list ) ) {
                    $existing_ids = $sorted_list[ $char ];
                    if(!array_key_exists ( $id , $existing_ids ))
                        array_push($existing_ids, $id);
                    $sorted_list[ $char ] = $existing_ids;
                }
                else
                    $sorted_list[ $char ] = array($id);
            }
            ksort( $sorted_list );
            wp_reset_postdata();
        }

        $knowledgebase_list = '';
        $knowledgebase_list = '<div class="mtkb-knowledgebase-shortcode-archive-ordered '.esc_attr($additional_class).'">';
            foreach ( $sorted_list as $character => $knowledges_id ) {
            $knowledgebase_list .= '<span class="mtkb-knowledgebase-first-letter">' . esc_html($character) . '</span></br>';
            $knowledgebase_list .= '<ul class="mtkb-knowledgebase-list">';
            foreach ( $knowledges_id as $knowledge_id ) {
                $knowledgebase_list .= '<li><a href="'.esc_url(get_the_permalink($knowledge_id)).'" title="'. esc_attr(get_the_title($knowledge_id)) .'">'. esc_html(get_the_title($knowledge_id)) .'</a></li>';
            }
            $knowledgebase_list .= '</ul>';
        }
        $knowledgebase_list .= '</div> ';

        echo $knowledgebase_list;
    }
    protected function _content_template() {

    }
}