<?php

/**

||-> Shortcode: Knowledgebase Searchbar

*/

namespace Elementor;

class Mtkb_Search_Bar_Widget extends Widget_Base {
	public function get_name() {
		return 'mtkb-search-bar';
	}

	public function get_title() {
		return esc_html__('MTKB - Search Bar', 'mtkb');
	}

	public function get_icon() {
		return 'fab fa-elementor';
	}

	public function get_categories() {
		return [ 'mtkb-widgets' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'section_title',
			[
				'label' => esc_html__( 'Content', 'mtkb' ),
			]
		);

		$this->add_control(
			'additional_class',
			[
				'label' => esc_html__( 'Additional Class', 'mtkb' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
				'default' => '',
                'description' => esc_html__( 'Type here the number of Knowledgebase posts to be displayed', 'mtkb' ),
			]
		);

		$this->add_control(
			'placehoder',
			[
				'label' => esc_html__( 'Placehoder', 'mtkb' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
				'default' => esc_html__('Search Knowledge Base','mtkb'),
			]
		);


		$this->end_controls_section();
	}


	protected function render() {
		global $esio_redux;
		$settings         = $this->get_settings_for_display();
		$additional_class = $settings['additional_class'];
		$placehoder       = $settings['placehoder'];

		if(!$placehoder || $placehoder == ''){
			$placehoder = esc_html__('Search Knowledge Base','mtkb');
		}

		$content = '';

		$content = '';
		$content .= '<div class="mtkb-knowledge-search '.esc_attr($additional_class).' ">
		<form role="search" method="get" id="mtkb_knowledge_searchform" autocomplete="off" class="clearfix" action="'.esc_url(get_site_url()).'">
		<input type="hidden" name="post_type" value="mtkb-knowledgebase">
		<input placeholder="'.esc_attr__( $placehoder, 'mtkb').'" type="text" name="s" id="mtkb_keyword" onkeyup="fetch()">
		<button type="submit" id="mtkb_searchsubmit"> <i class="fontello-icon-search"></i></button>
		</form>
		<div id="mtkb_datafetch"></div> 
		</div>';

		echo $content;
	}
	protected function _content_template() {

	}
}