<?php 

/**
||-> Shortcode: Mt Knowlegebase gategory grid
*/

namespace Elementor;

class Mtkb_Knowledgebase_Single_Category_Accordion_Widget extends Widget_Base {
    public function get_name() {
        return 'knowledge_single_category_accordion';
    }

    public function get_title() {
        return esc_html__('MTKB - Single Category accordion', 'mtkb');
    }

    public function get_icon() {
        return 'fab fa-elementor';
    }

    public function get_categories() {
        return [ 'mtkb-widgets' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_title',
            [
                'label' =>  esc_html__( 'Content', 'mtkb' ),
            ]
        );

        $this->add_control(
            'additional_class',
            [
                'label' =>  esc_html__( 'Additional Class', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' =>  esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'mtkb' ),
            ]
        );

        $knowledgebase_category_tax = get_terms('mtkb-knowledgebase-category');
        $knowledgebase_category = array();
        if ($knowledgebase_category_tax) {
            foreach ( $knowledgebase_category_tax as $term ) {
                $knowledgebase_category[$term->term_id] = $term->name;
            }
        }

        $this->add_control(
            'category_id',
            [
                'label' =>  esc_html__( 'Category', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => '',
                'description' =>  esc_html__( 'Select the category', 'mtkb' ),
                'options' => $knowledgebase_category,
            ]
        );

        $this->add_control(
            'number',
            [
                'label' =>  esc_html__( 'Knowledgebase Posts Number', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::NUMBER,
                'default' => '5',
                'description' =>  esc_html__( 'Type here the number of Knowledgebase posts to be displayed', 'mtkb' ),
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        global $esio_redux;
        $settings = $this->get_settings_for_display();
        $additional_class           = $settings['additional_class'];
        $category_id                = $settings['category_id'];
        $number                     = $settings['number'];

        wp_reset_postdata();
        $Knowledgebase_atts = array(
            'posts_per_page'    =>$number,
            'post_type'         => 'mtkb-knowledgebase',
            'tax_query'         => array(
                array(
                    'taxonomy'  => 'mtkb-knowledgebase-category',
                    'field'     => 'term_id',
                    'terms'     => $category_id
                )
            ),
                'post_status'   => 'publish' 
        );

        $Knowledgebase_query = new \WP_Query($Knowledgebase_atts);

        $html = '';
        $html .='<div class="mtkb-knowledgebase-category_acordion alignwide '.esc_attr($additional_class).'">';
            $html .= '<ul class="mtkb-knowledgebase-category_acordion_list">';

                if($Knowledgebase_query->have_posts()) {
                    while ( $Knowledgebase_query->have_posts()) {
                        $Knowledgebase_query->the_post(); 

                        $excerpt = get_the_excerpt();
                        $excerpt = substr($excerpt, 0, 250);
                        $result = substr($excerpt, 0, strrpos($excerpt, ' '));

                        $html .= '<li class="mtkb-knowledgebase-item"> 
                            <div class="mtkb-knowledgebase-title-holder">
                                <h3 class="mtkb-knowledgebase-title">'.esc_html( get_the_title() ).'<i class="fontello-icon-right-open"></i></h3>
                            </div>
                            <div class="mtkb-knowledgebase-content-holder">
                                <p>'.esc_html( $result ).'... <a class="mtkb-knowledgebase-read-more" href="'.esc_url( get_the_permalink() ).'">'.esc_html__('read more', 'mtkb').'</a></p>
                            </div>
                        </li>';
                    }
                    wp_reset_postdata();
                }

            $html .= '</ul>';
        $html .= '</div>';

        echo $html;
    }
    protected function _content_template() {

    }
}