<?php 
/**
||-> Shortcode: MTKB Portfolio Category
*/
namespace Elementor;

class Mtkb_Portfolio_Category_Widget extends Widget_Base {
    public function get_name() {
        return 'mtkb_portfolio_category';
    }

    public function get_title() {
        return esc_html__('MTKB - Portfolio Category', 'mtkb');
    }

    public function get_icon() {
        return 'fab fa-elementor';
    }

    public function get_categories() {
        return [ 'mtkb-widgets' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_title',
            [
                'label' => esc_html__( 'Content', 'mtkb' ),
            ]
        );

        $this->add_control(
            'additional_class',
            [
                'label' => esc_html__( 'Additional Class', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'mtkb' ),
            ]
        );

        $this->add_control(
            'columns',
            [
                'label' => esc_html__( 'columns', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => 'col-md-4',
                'description' => esc_html__( 'Choose the number of columns', 'mtkb' ),
                'options' => [
                    'col-md-4'  => esc_html__( '3 columns', 'mtkb' ),
                    'col-md-6'  => esc_html__( '2 columns', 'mtkb' ),
                ]
            ]
        );

        $this->add_control(
            'number',
            [
                'label' => esc_html__( 'Knowledgebase Posts Number', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::NUMBER,
                'default' => '5',
                'description' => esc_html__( 'The number of Portfolio Listings to be displayed.', 'mtkb' ),
            ]
        );

        $portfolio_category_tax = get_terms('mtkb-portfolio-category');
        $portfolio_categories = array();
        if ($portfolio_category_tax) {
            foreach ( $portfolio_category_tax as $term ) {
                $portfolio_categories[$term->term_id] = $term->name;
            }
        }

        $this->add_control(
            'category_id',
            [
                'label' =>  esc_html__( 'Category', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => '',
                'description' =>  esc_html__( 'Select the category', 'mtkb' ),
                'options' => $portfolio_categories,
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
    	$settings           = $this->get_settings_for_display();
        $additional_class   = $settings['additional_class'];
        $columns   			= $settings['columns'];
        $number   			= $settings['number'];
        $category_id   	= $settings['category_id'];
	  	echo do_shortcode('[mt_portfolio_category columns="'.esc_html($columns).'" number="'.esc_html($number).'" category_id="'.esc_html($category_id).'"]');
	}
    protected function _content_template() {

    }
}