<?php 
/**
||-> Shortcode: MTKB Portfolio Filters
*/
namespace Elementor;

class Mtkb_Portfolio_Filters_Widget extends Widget_Base {
    public function get_name() {
        return 'mtkb_portfolio_filters';
    }

    public function get_title() {
        return esc_html__('MTKB - Portfolio Filters', 'mtkb');
    }

    public function get_icon() {
        return 'fab fa-elementor';
    }

    public function get_categories() {
        return [ 'mtkb-widgets' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_title',
            [
                'label' => esc_html__( 'Content', 'mtkb' ),
            ]
        );

        $this->add_control(
            'additional_class',
            [
                'label' => esc_html__( 'Additional Class', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'mtkb' ),
            ]
        );

        $this->add_control(
            'columns',
            [
                'label' => esc_html__( 'columns', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => 'col-md-4',
                'description' => esc_html__( 'Choose the number of columns', 'mtkb' ),
                'options' => [
                    'col-md-4'  => esc_html__( '3 columns', 'mtkb' ),
                    'col-md-6'  => esc_html__( '2 columns', 'mtkb' ),
                ]
            ]
        );

        $this->add_control(
            'number',
            [
                'label' => esc_html__( 'Knowledgebase Posts Number', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::NUMBER,
                'default' => '5',
                'description' => esc_html__( 'The number of Portfolio Listings to be displayed.', 'mtkb' ),
            ]
        );

        $this->add_control(
			'searchfilter',
			[
				'label' => esc_html__( 'Show Search Filter', 'mtkb' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'mtkb' ),
				'label_off' => esc_html__( 'Hide', 'mtkb' ),
				'return_value' => 'search_on',
				'default' => 'search_on',
			]
		);

		$this->add_control(
			'tagsfilter',
			[
				'label' => esc_html__( 'Show Title', 'mtkb' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'mtkb' ),
				'label_off' => esc_html__( 'Hide', 'mtkb' ),
				'return_value' => 'tags_on',
				'default' => 'tags_on',
			]
		);

		$this->add_control(
			'categoryfilter',
			[
				'label' => esc_html__( 'Show Title', 'mtkb' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'mtkb' ),
				'label_off' => esc_html__( 'Hide', 'mtkb' ),
				'return_value' => 'category_on',
				'default' => 'category_on',
			]
		);

        $this->end_controls_section();
    }

    protected function render() {
    	$settings           = $this->get_settings_for_display();
        $additional_class   = $settings['additional_class'];
        $columns   			= $settings['columns'];
        $number   			= $settings['number'];
        $searchfilter   	= $settings['searchfilter'];
        $tagsfilter   		= $settings['tagsfilter'];
        $categoryfilter   	= $settings['categoryfilter'];
	  	echo do_shortcode('[mt_portfolio_filters columns="'.esc_html($columns).'" number="'.esc_html($number).'" searchfilter="'.esc_html($searchfilter).'" tagsfilter="'.esc_html($tagsfilter).'" categoryfilter="'.esc_html($categoryfilter).'"]');
	}
    protected function _content_template() {

    }
}