<?php 
/**
||-> Shortcode: MTKB Portfolio Most Viewd/Recent
*/
namespace Elementor;

class Mtkb_Portfolio_Most_Widget extends Widget_Base {
    public function get_name() {
        return 'mtkb_portfolio_most';
    }

    public function get_title() {
        return esc_html__('MTKB - Portfolio Most Viewd/Recent', 'mtkb');
    }

    public function get_icon() {
        return 'fab fa-elementor';
    }

    public function get_categories() {
        return [ 'mtkb-widgets' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_title',
            [
                'label' => esc_html__( 'Content', 'mtkb' ),
            ]
        );

        $this->add_control(
            'additional_class',
            [
                'label' => esc_html__( 'Additional Class', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => '',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'mtkb' ),
            ]
        );

        $this->add_control(
            'columns',
            [
                'label' => esc_html__( 'columns', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => 'col-md-4',
                'description' => esc_html__( 'Choose the number of columns', 'mtkb' ),
                'options' => [
                    'col-md-4'  => esc_html__( '3 columns', 'mtkb' ),
                    'col-md-6'  => esc_html__( '2 columns', 'mtkb' ),
                ]
            ]
        );

        $this->add_control(
            'number',
            [
                'label' => esc_html__( 'Portfolio Posts Number', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::NUMBER,
                'default' => '5',
                'description' => esc_html__( 'The number of Portfolio Listings to be displayed.', 'mtkb' ),
            ]
        );

        $this->add_control(
            'type',
            [
                'label' => esc_html__( 'Type', 'mtkb' ),
                'label_block' => true,
                'type' => Controls_Manager::SELECT,
                'default' => '2',
                'description' => esc_html__( 'Choose the Portfolio Order Type', 'mtkb' ),
                'options' => [
                    'most_viewed' => esc_html__( 'Portfolio Most Viewed', 'mtkb' ),
                    'most_recent' => esc_html__( 'Portfolio Recent', 'mtkb' ),
                ]
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
    	$settings           = $this->get_settings_for_display();
        $additional_class   = $settings['additional_class'];
        $columns   			= $settings['columns'];
        $number   			= $settings['number'];
        $type   	        = $settings['type'];
	  	echo do_shortcode('[mt_portfolio_most columns="'.esc_html($columns).'" number="'.esc_html($number).'" type="'.esc_html($type).'"]');
	}
    protected function _content_template() {

    }
}