(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	jQuery(document).ready(function(){
		jQuery('.mtkb-knowledge-search input#mtkb_keyword').on('blur', function(){
			jQuery('#mtkb_datafetch').removeClass('focus');
		}).on('focus', function(){
			jQuery('#mtkb_datafetch').addClass('focus');
		});

		// knowledge list nav accordeon
		jQuery('.mtkb-knowledgebase-accordion ul.mtkb-accordion > li').each(function(){
			var link = jQuery(this).find('.link');
			jQuery(link).on('click', function(){
				if( !jQuery(this).parent().hasClass('open') ) {
					jQuery('.mtkb-knowledgebase-accordion ul.mtkb-accordion > li').removeClass('open');
					jQuery('.mtkb-knowledgebase-accordion ul.mtkb-accordion > li .submenu').slideUp();
					jQuery(this).next().slideToggle();
					jQuery(this).parent().addClass('open');
				} else if (jQuery(this).parent().hasClass('open')) {
					jQuery('.mtkb-knowledgebase-accordion ul.mtkb-accordion > li').removeClass('open');
					jQuery('.mtkb-knowledgebase-accordion ul.mtkb-accordion > li .submenu').slideUp();
				}
			});
		});

		// knowledgebase accordion
		jQuery('.mtkb-knowledgebase-category_acordion_list > li.mtkb-knowledgebase-item').each(function(){
			var title = jQuery(this).find('.mtkb-knowledgebase-title-holder');
			jQuery(title).on('click', function(){
				if( !jQuery(this).parent().hasClass('open') ) {
					jQuery('.mtkb-knowledgebase-category_acordion_list > li.mtkb-knowledgebase-item').removeClass('open');
					jQuery('.mtkb-knowledgebase-category_acordion_list > li.mtkb-knowledgebase-item .mtkb-knowledgebase-content-holder').slideUp();
					jQuery(this).next().slideToggle();
					jQuery(this).parent().addClass('open');
				} else if (jQuery(this).parent().hasClass('open')) {
					jQuery('.mtkb-knowledgebase-category_acordion_list > li.mtkb-knowledgebase-item').removeClass('open');
					jQuery('.mtkb-knowledgebase-category_acordion_list > li.mtkb-knowledgebase-item .mtkb-knowledgebase-content-holder').slideUp();
				}
			});
		});

		//FAQs accordion
		jQuery('.mtkb-knowledgebase-faqs > li.mtkb-knowledgebase-faqs-item').each(function(){
			var title = jQuery(this).find('.faq-title-holder');
			jQuery(title).on('click', function(){
				if( !jQuery(this).parent().hasClass('open') ) {
					jQuery('.mtkb-knowledgebase-faqs > li.mtkb-knowledgebase-faqs-item').removeClass('open');
					jQuery('.mtkb-knowledgebase-faqs > li.mtkb-knowledgebase-faqs-item .faq-content-holder').slideUp();
					jQuery(this).next().slideToggle();
					jQuery(this).parent().addClass('open');
				} else if (jQuery(this).parent().hasClass('open')) {
					jQuery('.mtkb-knowledgebase-faqs > li.mtkb-knowledgebase-faqs-item').removeClass('open');
					jQuery('.mtkb-knowledgebase-faqs > li.mtkb-knowledgebase-faqs-item .faq-content-holder').slideUp();
				}
			});
		});

		//changelog taxonomy page anchor link
		jQuery(document).on('click', 'a.anchor-link', function (event) {
	    	event.preventDefault();
	    	var top_offset = jQuery(jQuery.attr(this, 'href')).offset().top - 30;
	    	jQuery('html, body').animate({
	        	scrollTop: top_offset
	    	}, 500);
	    	jQuery('a.anchor-link').removeClass('scrolled');
	    	jQuery(this).addClass('scrolled');
	    	window.location.hash = jQuery.attr(this, 'href');
		});

		jQuery('#mtkb_knowledge_searchform #mtkb_keyword').on("keyup", function() {
			jQuery.ajax({
		        url: ajax_search.url,
		        type: 'post',
		        data: { action: 'data_fetch', mtkb_keyword: jQuery('#mtkb_keyword').val() },
		        success: function(data) {
		            jQuery('#mtkb_datafetch').html( data );
		        }
		    });
		})

		//love button
		jQuery(".mtkb-knowledgebase-lb-wrapper a").on('click', function() {

            var love_button = jQuery(this);
            var post_id = love_button.data("post_id");

            jQuery.ajax({
                type: "post",
                url: ajax_var.url,
                data: "action=mtkb_love_post&_wpnonce=" + ajax_var.nonce + "&mtkb_love_post=&post_id=" + post_id,
                success: function(response) {
                    jQuery(love_button).parent().toggleClass("mtkb-knowledgebase-lb-loved")
                    jQuery(love_button).siblings("span").html(response.count);
                    jQuery(love_button).html(response.message);
                },
            });

            return false;
        })
	
	});

})( jQuery );