<?php
/**
 * The template for single mtkb pages.
 */
get_header();
$mtkb_changelog_group = get_post_meta(get_the_ID(), 'mtkb_changelog_group', true);
?>
<div class="high-padding">
    <div class="container blog-posts content-area">
        <div class="mtkb-category-header-title-container">
            <h1 class="mtkb-category-header-title">
                <?php
                    echo esc_html__('Changelog: ','mtkb') .'<span class="category_name">'. esc_html(get_the_title()) .'</span>';
                ?>
            </h1>
        </div>
        <div class="main-content alignwide">
            <?php /* Start the Loop */ ?>
            <?php foreach (array_reverse($mtkb_changelog_group) as $changelog) { ?>
                <article id="version-<?php echo esc_attr( str_replace('.', '_',$changelog['mtkb_changelog_version']) ); ?>" class="mtkb-knowledgebase-changelog-article">
                    <div class="mtkb-knowledgebase-changelog-entry">
                        <div class="row">
                            <div class="col-md-4 mtkb-knowledgebase-changelog-metadata" >
                                <h2 class="changelog-title"><?php echo esc_html__('Version v', 'mtkb') . esc_html( $changelog['mtkb_changelog_version'] ); ?><a href="#version-<?php echo esc_attr( str_replace('.', '_',$changelog['mtkb_changelog_version']) ); ?>" class="anchor-link"> <i class="fontello-icon-link-1"></i></a></h2>
                                <time><i class="fontello-icon-clock"></i><?php esc_html_e('Date: ','mtkb') ?><?php echo the_time(get_option('mtkb_date_format'), $changelog['mtkb_changelog_published_at']); ?></time>
                            </div>
                            <div class="col-md-8">
                                <div class="mtkb-knowledgebase-changelog-content">
                                    <?php echo do_shortcode($changelog['mtkb_changelog_content']); ?>
                                </div>
                            </div>
                        </div>
                        <div class="changelog_divider"></div>
                    </div>
                </article>
            <?php } ?>
        </div>
    </div>
</div>
<?php get_footer(); ?>