<?php
/**
 * The template for displaying all single posts.
 *
 */
global $MTKB;

$class = 'col-md-12';
if ( is_active_sidebar( 'sidebar-knowledgebase' ) ) {
	$class = 'col-md-8';
}

get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?> >
			  <div class="container">
			      <div class="row high-padding alignwide">
			      	<?php if ( is_active_sidebar( 'sidebar-knowledgebase' ) ) { ?>
					    <!-- POST Sidebar -->
					    <div id="knoledgebase-sidebar" class="col-md-4">
					        <?php dynamic_sidebar('sidebar-knowledgebase'); ?>
					    </div>
					<?php } ?>
				      <!-- POST CONTENT -->
			        <div class="<?php echo esc_attr($class);?> main-content">
			        	<h2 class="mtkb-knowledgebase-title"><?php the_title() ?></h2>
			          	<?php the_content(); ?>
			          	<?php /*Views and Like icons */ ?>
			          	<?php echo wp_kses($MTKB->public->mtkb_display_love_button(), 'html'); ?>
			          	<?php echo wp_kses($MTKB->public->mtkb_display_views_cout(), 'html'); ?>
			        	<div class="clearfix"></div>
			        	<div class="mtkb-knowledgebase-related-kb">
				        	<?php $related_query = new WP_Query(
				        		array(
							    	'post_type' => 'mtkb-knowledgebase',
							    	'tax_query' => array(
										array(
											'taxonomy' => 'mtkb-knowledgebase-category',
											'field' => 'term_id',
											'terms' => get_the_terms(get_the_ID(), 'mtkb-knowledgebase-category')[0]->term_id,
										)
									),
							    	'post__not_in' => array(get_the_ID()),
							    	'posts_per_page' => 5,
								)
							);?>
							<div class="row mtkb-knowledgebase-categories-grid">
		        				<div class="col-md-12">
		        					<div class="mtkb_knowledge-list2">
		                    			<div class="heading-submenu">
		                        			<h3 class="heading">
				                                <i class="fontello-icon-dot-circled" aria-hidden="true"></i>
				                                <?php echo esc_html__('Related Knowledgebase', 'mtkb'); ?>
				                            </h3>
			                        		<ul class="submenu">
									        	<?php if($related_query->have_posts()) {
									        		while ($related_query->have_posts()) {
									        			$related_query->the_post(); ?>
									        			<li class="post_title">
					                                        <a href="<?php echo esc_url( get_permalink() )?>"> <?php echo esc_html( get_the_title() ); ?></a>
					                                    </li>
									        			<?php wp_reset_postdata(); 
									        		}
									        	} ?>
			        						</ul>
			        					</div>
			        				</div>
			        			</div>
	        				</div>			        	
				        </div>
			        </div>
			      </div>
			  </div> <!-- container -->
			</article>
		<?php endwhile; // end of the loop. ?>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php get_footer(); ?>