<?php
/**
 * The template for displaying search results pages.
 */
global $wp_query;
get_header();
$class = 'col-md-12';
if ( is_active_sidebar( 'sidebar-knowledgebase' ) ) {
    $class = 'col-md-8';
}
$excerpt = get_the_excerpt();
$excerpt = substr($excerpt, 0, 160);
$result = substr($excerpt, 0, strrpos($excerpt, ' '));

?>
<div class="high-padding">
    <div class="container blog-posts content-area mtkb-knowledgebase">
        <div class="mtkb-category-header-title-container">
            <h1 class="mtkb-category-header-title">
                <?php
                $knowledgebase_category = get_queried_object();
                if( $wp_query->is_search ){ 
                    echo esc_html__('Search results for: ','mtkb') .'<span class="category_name">'. esc_html($_GET['s']) .'</span>';
                } 
                elseif ( $knowledgebase_category->taxonomy == 'mtkb-knowledgebase-category' ){
                    echo esc_html__('Knowledge Base Catergory: ','mtkb') .'<span class="category_name">'. esc_html($knowledgebase_category->name) .'</span>';
                } elseif ( $knowledgebase_category->taxonomy == 'mtkb-knowledgebase-tags' ){
                    echo esc_html__('Knowledge Base Tag: ','mtkb') .'<span class="category_name">'. esc_html($knowledgebase_category->name) .'</span>';
                }
                ?>
                
            </h1>
        </div>
        <div class="row alignwide">
            <?php if ( is_active_sidebar( 'sidebar-knowledgebase' ) ) { ?>
                <div id="knoledgebase-sidebar" class="col-md-4">
                    <?php dynamic_sidebar('sidebar-knowledgebase'); ?>
                </div>
            <?php } ?>
            <div class="<?php echo esc_attr($class);?>">
                <div class="main-content">
                    <?php if ( have_posts() ) : ?>
                        <?php /* Start the Loop */ ?>
                        <?php while ( have_posts() ) : the_post();  ?>
                            <article id="post-<?php the_ID(); ?>" class="mtkb-knowledgebase-post">
                                <h3 class="post-name">
                                    <a title="<?php the_title() ?>" href="<?php echo esc_url(get_the_permalink()); ?>">
                                        <i class="fontello-icon-doc-inv" aria-hidden="true"></i>
                                        <?php the_title(); ?>
                                    </a>
                                </h3>
                                <div class="post-excerpts">
                                    <?php echo esc_html($result); ?>
                                </div>
                                <p class="post-excerpt">
                                    <a href="<?php echo esc_url(get_the_permalink()); ?>" class="more-link">
                                        <?php echo esc_html__( 'Continue Reading ', 'mtkb' ); ?> <i class="fontello-icon-right" aria-hidden="true"></i>
                                    </a>
                                </p>
                            </article>
                        <?php endwhile; ?>
                    <?php else : ?>
                        <?php echo esc_html__('There are no KB Categories', 'mtkb'); ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php get_footer(); ?>