<?php
/**
 * The template for displaying all single posts.
 *
 */

$class = 'col-md-12';


get_header(); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?> >
			  <div class="container">
				    <div class="row high-padding alignwide">
				    	<div class="col-md-12 mtkb-portfolio-header-title">
				        	<h2 class="mtkb-portfolio-title"><?php the_title(); ?></h2> 
				        	<?php $mtkb_knowledgebase_categry_id = get_post_meta(get_the_ID(), 'mtkb-knowledgebase-category', true); ?>
				        	<?php $mtkb_changelog_id = get_post_meta(get_the_ID(), 'mtkb-changelog-category', true); ?>
				        	<?php if($mtkb_knowledgebase_categry_id) { ?> 
					        	<a class="mtkb-portfolio-button" href="<?php echo esc_url(get_category_link( ($mtkb_knowledgebase_categry_id) )); ?>"><?php echo esc_html__("Knowledgebase", "mtkb"); ?></a>
				        	<?php } ?>
				        	<?php if($mtkb_changelog_id) { ?> 
					        	<a class="mtkb-portfolio-button" href="<?php echo esc_url(get_the_permalink( ($mtkb_changelog_id) )); ?>"><?php echo esc_html__("Changelog", "mtkb"); ?></a>
				        	<?php } ?>
				    	</div>
						<!-- POST CONTENT -->
				        <div class="<?php echo esc_attr($class);?> main-content">
				        	<div class="row">
				        		<div class="col-md-6 mtkb-portfolio-image-holder">
	                                <?php $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'mtkb-portfolio-single-image' ); ?>
				        			<img src="<?php echo esc_url($thumbnail_src[0]); ?>">
				        		</div>
				        		<div class="col-md-6">
				        			<div class="mtkb-portfolio-cotent">
							          	<?php the_content(); ?>
				        			</div>
				        			<div class="mtkb-portfolio-single-meta">
				        				<ul class="mtkb-portfolio-meta-list">

				        					<?php $all_categories = get_the_term_list( get_the_ID(), 'mtkb-portfolio-category', '', ' / ' );
					        					if ($all_categories) { ?>
					        						<li>
						        						<?php echo '<span>'.esc_html__("Category", "mtkb").'</span>: '.wp_kses($all_categories, 'categories'); ?>
						        					</li>
				        					<?php } ?>

				        					<?php $all_tags = get_the_term_list( get_the_ID(), 'mtkb-portfolio-tags', '', ' / ' );
					        					if ($all_tags) { ?>
					        						<li>
					        						<?php echo '<span>'.esc_html__("Tags", "mtkb").'</span>: '.wp_kses($all_tags, 'categories'); ?>
					        					</li>
				        					<?php } ?>
				        					
				        					<?php $link_url = get_post_meta(get_the_ID(), 'mtkb-external-link-url-field', true ); 
				        					$link_text = get_post_meta(get_the_ID(), 'mtkb-external-link-text-field', true );  ?>
				        					<?php if($link_url && $link_text) { ?>
					        					<li>
					        						<?php echo '<span>'.esc_html__("Link", "mtkb").'</span>: <a href="'.esc_url($link_url).'" target="_blank">'.esc_html($link_text).'</a>'; ?>
					        					</li>
				        					<?php } ?>
				        					<li>
				        						<?php echo '<span>'.esc_html__("Share", "mtkb").'</span>: ';
				        						 do_action('mtkb-portfolio-share'); ?>
				        					</li>
				        				</ul>
				        			</div>
				        		</div>
				        	</div>
				          	<?php /*Views and Like icons */ ?>
				        	<div class="clearfix"></div>

				        	<!-- RELATED KNOWLEDGEBASE -->
				        	<div class="mtkb-knowledgebase-related-kb">
					        	<?php $related_query = new WP_Query(
					        		array(
								    	'post_type' => 'mtkb-portfolio',
								    	'tax_query' => array(
											array(
												'taxonomy' => 'mtkb-portfolio-category',
												'field' => 'term_id',
												'terms' => get_the_terms(get_the_ID(), 'mtkb-portfolio-category')[0]->term_id,
											)
										),
								    	'post__not_in' => array(get_the_ID()),
								    	'posts_per_page' => 3,
									)
								);?>
								<div class="row main-content">
									<div class="col-md-12 mtkb-porfolio-related">
										<div class="mtkb-porfolio-related-title-holder">
											<h2 class="mtkb-porfolio-related-title">
												<?php echo esc_html__("Related Portfolio Listings", "mtkb"); ?>
											</h2>
										</div>
										<div class="row">
						                    <?php if ( $related_query->have_posts() ) : ?>
						                        <?php /* Start the Loop */ ?>
						                        <?php while ( $related_query->have_posts() ) : $related_query->the_post();  ?>

						                            <div class="mtkb-portfolio-col col-12 col-md-6 col-lg-4 wow animated grid-three-columns">
						                                <?php $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'mtkb-portfolio-thumpnail' );
						                                $theme_link = get_permalink(get_the_ID());
						                                $all_categories = get_the_term_list( get_the_ID(), 'mtkb-portfolio-category', '', ' / ' ); ?>

						                                <article class="mtkb-portfolio-single">
						                                    <a href="<?php echo esc_url($theme_link); ?>" title="<?php echo get_the_title(get_the_ID()); ?>"><img class="mtkb-portfolio-image" src="<?php echo esc_attr($thumbnail_src[0]);?>" alt="<?php echo get_the_title(get_the_ID()); ?>"></a>
						                                    <div class="mtkb-portfolio-details">
						                                        <a href="<?php echo esc_url($theme_link); ?>" title="<?php echo get_the_title(get_the_ID()); ?>">
						                                            <h3 class="mtkb-portfolio-name"><?php echo get_the_title(get_the_ID()); ?></h3>
						                                        </a>
						                                        <h4 class="mtkb-portfolio-category"><?php echo wp_kses($all_categories, 'categories'); ?></h4>
						                                        <div class="mtkb-portfolio-metas">
						                                            <a href="<?php echo esc_url($theme_link); ?>" title="<?php get_the_title(get_the_ID());?>" class="mtkb-portfolio-button"><?php echo esc_html__("View More", 'mtkb'); ?></a>
						                                        </div>
						                                    </div>              
						                                </article>
						                            </div>
						                        <?php endwhile; ?>
						                        <?php wp_reset_postdata(); ?>
						                    <?php else : ?>
						                        <?php echo esc_html__('There are no Related Portfolio Listings.', 'mtkb'); ?>
						                    <?php endif; ?>
										</div>
									</div>
				                </div>		        	
					        </div>
				        </div>
				      </div>
			  </div> <!-- container -->
			</article>
		<?php endwhile; // end of the loop. ?>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php get_footer(); ?>