<?php
/**
 * The template for displaying search results pages.
 */
get_header();
$class = 'col-md-12';

?>
<div class="high-padding">
    <div class="container blog-posts content-area">
        <div class="mtkb-category-header-title-container">
            <h1 class="mtkb-category-header-title">
                <?php
                $portfolio_category = get_queried_object();
                if( is_tax('mtkb-portfolio-category') ){ 
                    echo esc_html__('Portfolio Category: ','mtkb') .'<span class="category_name">'. esc_html($portfolio_category->name) .'</span>';
                }
                elseif( is_tax('mtkb-portfolio-tags') ) {
                    echo esc_html__('Portfolio Tag: ','mtkb') .'<span class="category_name">'. esc_html($portfolio_category->name) .'</span>';
                }
                ?>
                
            </h1>
        </div>
        <div class="row alignwide">
            <div class="<?php echo esc_attr($class);?>">
                <div class="row main-content">
                    <?php if ( have_posts() ) : ?>
                        <?php /* Start the Loop */ ?>
                        <?php while ( have_posts() ) : the_post();  ?>

                            <div class="mtkb-portfolio-col col-12 col-md-6 col-lg-4 wow animated grid-three-columns">
                                <?php $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'mtkb-portfolio-thumpnail' );
                                $theme_link = get_permalink(get_the_ID());
                                $all_categories = get_the_term_list( get_the_ID(), 'mtkb-portfolio-category', '', ' / ' ); ?>

                                <article class="mtkb-portfolio-single">
                                    <a href="<?php echo esc_url($theme_link); ?>" title="<?php echo get_the_title(get_the_ID()); ?>"><img class="mtkb-portfolio-image" src="<?php echo esc_attr($thumbnail_src[0]);?>" alt="<?php echo get_the_title(get_the_ID()); ?>"></a>
                                    <div class="mtkb-portfolio-details">
                                        <a href="<?php echo esc_url($theme_link); ?>" title="<?php echo get_the_title(get_the_ID()); ?>">
                                            <h3 class="mtkb-portfolio-name"><?php echo get_the_title(get_the_ID()); ?></h3>
                                        </a>
                                        <h4 class="mtkb-portfolio-category"><?php echo wp_kses($all_categories, 'categories'); ?></h4>
                                        <div class="mtkb-portfolio-metas">
                                            <a href="<?php echo esc_url($theme_link); ?>" title="<?php get_the_title(get_the_ID());?>" class="mtkb-portfolio-button"><?php echo esc_html__("View More", 'mtkb'); ?></a>
                                        </div>
                                    </div>              
                                </article>
                            </div>
                        <?php endwhile; ?>
                    <?php else : ?>
                        <?php echo esc_html__('There are no Portfolio Listings in this Category', 'mtkb'); ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php get_footer(); ?>